'''
Created on 15/06/2018

@author: rjag008
'''

try:
    from PySide import QtCore, QtGui
except ImportError:
    #from PyQt4 import QtCore, QtGui
    pass

class PaintGraphicsEllipseItem(QtGui.QGraphicsEllipseItem):

    def __init__(self, pen, key, parent=None):
        QtGui.QGraphicsEllipseItem.__init__(self, -4.0, -4.0, 8.0, 8.0, parent)
        self.setPen(pen)
        self.setFlag(QtGui.QGraphicsItem.ItemIsMovable, True)
        self._key = key

    def getItemKey(self):
        return self._key

    def setColor(self,color):
        pen = QtGui.QPen(color, 1, QtCore.Qt.SolidLine,QtCore.Qt.FlatCap, QtCore.Qt.MiterJoin)
        self.setPen(pen)
        self.update()

    def mouseReleaseEvent(self, event):
        QtGui.QGraphicsEllipseItem.mouseReleaseEvent(self, event)

        pos = self.scenePos()
        self.scene().setPointItemMoved(self._key, pos)